Name:		mbelib
Version:	1.3.0
Release:	1%{?dist}
Summary:	P25 Phase 1 and ProVoice vocoder


Group:		Applications/Engineering
License:	ISC
URL:		https://github.com/szechyjs/mbelib/releases
Source0:	%{name}-%{version}.tar.gz
Patch10:	cmakelibdir.patch

BuildRequires:	cmake
Requires:	pkgconfig

%description
mbelib supports the 7200x4400 bit/s codec used in P25 Phase 1,
the 7100x4400 bit/s codec used in ProVoice and the "Half Rate"
3600x2250 bit/s vocoder used in various radio systems.

%package devel
Summary:        Development headers for mbelib
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for mbelib


%prep
%setup -q
%patch10 -p1 -b .cmakelibdir

%build
mkdir build
cd build
cmake .. \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_INSTALL_LIBDIR="lib64"
make %{?_smp_mflags}

%install
make -C build install DESTDIR=%{buildroot}
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT/


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md COPYRIGHT CHANGELOG
%{_libdir}/libmbe.so
%{_libdir}/libmbe.so.1
%{_libdir}/libmbe.so.1.0

%files devel
%{_includedir}/mbelib.h



%changelog
* Sun Dec 03 2017 Nux <rpm@li.nux.ro> - 1.3.0-1
- initial spec file and build